# Search Filters: Employee Posts API

{% columns %}
{% column width="16.666666666666664%" %}
Data type:

Query type:

URL:
{% endcolumn %}

{% column %}
Employee Posts

Coresignal's custom filters

<https://api.coresignal.com/cdapi/v2/employee\\_post/search/filter>
{% endcolumn %}
{% endcolumns %}

***

## Overview

Explore the available filters, their explanations, potential applications, and helpful tips for the endpoint `/v2/employee_post/search/filter` usage.

Use this endpoint to collect employee posts IDs with relevant keywords.

Opt for this endpoint if you prefer uncomplicated queries. Details about filter explanations and how to use them are provided below.

## Endpoint structure

{% code title="Full structure" %}

```json
{
  "author_profile_url": "string",
  "article_body": "string",
  "comments_profile_url": "string",
  "comments_body": "string",
  "date_published_gte": "string",
  "date_published_lte": "string"
}
```

{% endcode %}

## Filter list

{% hint style="info" %}
Keep in mind that example outputs are redacted and may not contain all the fields you would receive using the endpoint.
{% endhint %}

<details>

<summary>author_profile_url</summary>

| Filter name          | Data input type | Description          | Usage                                                                                                                                                                                  |
| -------------------- | --------------- | -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `author_profile_url` | String          | Author's profile URL | <p>Use it to find records based on the profile's url.</p><p>Available operators:</p><ul><li>AND (both keywords need to be present)</li><li>OR (one of the two input values).</li></ul> |

{% hint style="success" %}
Use `"(first phrase) OR (second phrase)"` if you are searching for words in a phrase and want them to be interpreted together.
{% endhint %}

**Example input:**

{% code title="author\_profile\_url" %}

```json
{
   "author_profile_url": "https://in.linkedin.com/in/palashkagarwal"
}
```

{% endcode %}

</details>

<details>

<summary>article_body</summary>

| Filter name    | Data input type | Description         | Usage                                                                                                                                                                        |
| -------------- | --------------- | ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `article_body` | String          | Content of the post | <p>Use it to find records based on content.</p><p>Available operators:</p><ul><li>AND (both keywords need to be present)</li><li>OR (one of the two input values).</li></ul> |

{% hint style="success" %}
Use `"(first phrase) OR (second phrase)"` if you are searching for words in a phrase and want them to be interpreted together.
{% endhint %}

**Example input:**

{% code title="article\_body" %}

```json
{
   "article_body": "promoted to Senior Data Analyst"
}
```

{% endcode %}

</details>

<details>

<summary>comments_profile_url</summary>

| Filter name            | Data input type | Description                     | Usage                                                                                                                                                                                                 |
| ---------------------- | --------------- | ------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `comments_profile_url` | String          | Profile URL of a posted comment | <p>Use to find post records based on the posted comment profile URL.</p><p>Available operators:</p><ul><li>AND (both keywords need to be present)</li><li>OR (one of the two input values).</li></ul> |

{% hint style="success" %}
Use `"(first phrase) OR (second phrase)"` if you are searching for words in a phrase and want them to be interpreted together.
{% endhint %}

**Example input:**

{% code title="comments\_profile\_url" %}

```json
{
   "comments_profile_url": "https://www.linkedin.com/in/kristy-mcfarland-207"
}
```

{% endcode %}

</details>

<details>

<summary>comments_body</summary>

| Filter name     | Data input type | Description            | Usage                                                                                                                                                                                  |
| --------------- | --------------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `comments_body` | String          | Content of the comment | <p>Use it to find post records based on the comments.</p><p>Available operators:</p><ul><li>AND (both keywords need to be present)</li><li>OR (one of the two input values).</li></ul> |

{% hint style="success" %}
Use `"(first phrase) OR (second phrase)"` if you are searching for words in a phrase and want them to be interpreted together.
{% endhint %}

**Example input:**

{% code title="comments\_body" %}

```json
{
   "comments_body": "This post is written by AI"
}
```

{% endcode %}

</details>

<details>

<summary>date_published_gte</summary>

| Filter name          | Data input type | Description                                 | Usage                                                                                                                                                                               |
| -------------------- | --------------- | ------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `date_published_gte` | String          | Date and time when the record was published | <p>Find employee records based on publication date.</p><p>Use the <code>YYYY-MM-DD</code> date format.</p><p>The output value will be greater than or equal to the input value.</p> |

**Example input:**

{% code title="date\_published\_gte" %}

```json
{
  "date_published_gte": "2025-07-01 12:41:10"
}
```

{% endcode %}

</details>

<details>

<summary>date_published_lte</summary>

| Filter name          | Data input type | Description                                 | Usage                                                                                                                                                                            |
| -------------------- | --------------- | ------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `date_published_lte` | String          | Date and time when the record was published | <p>Find employee records based on publication date.</p><p>Use the <code>YYYY-MM-DD</code> date format.</p><p>The output value will be less than or equal to the input value.</p> |

**Example input:**

{% code title="date\_published\_lte" %}

```json
{
  "date_published_gte": "2025-07-01 12:41:10"
}
```

{% endcode %}

</details>

## Sample request

{% code title="Request example" %}

```json
curl -X 'POST' \
'https://api.coresignal.com/cdapi/v2/employee_post/search/filter' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
   "article_body": "newest invention",
   "date_published_gte": "2025-07-01"
}'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/employee-api/employee-posts-api/endpoints/search-filters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
